# $Id: smeserver-bugzilla.spec,v 1.4 2010/03/06 09:04:45 snetram Exp $
# Authority: snetram
# Name: Jonathan Martens

Summary: Set up bugzilla for SME Server.
%define name smeserver-bugzilla
%define version 0.1
%define release 5
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.contribs.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-bugzilla-0.1-createlinks.patch
Patch1: smeserver-bugzilla-0.1-database.patch
Patch2: smeserver-bugzilla-0.1-httpd.conf.patch
Patch3: smeserver-bugzilla-0.1-bugzilla.conf.patch
Patch4: smeserver-bugzilla-0.1-localconfig.patch
Patch5: smeserver-bugzilla-0.1-actionscript.patch
Patch6: smeserver-bugzilla-0.1-passwordwarning.patch
Patch7: smeserver-bugzilla-0.1-bugzilla-setup.patch
Patch8: smeserver-bugzilla-0.1-strong-pwd.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-release >= 7.0
Requires: bugzilla >= 3.0
Requires: perl-CGI >= 3.21
Requires: perl(Digest::SHA)
Requires: perl-TimeDate
Requires: perl(DateTime) >= 0.28
Requires: perl(DateTime::TimeZone) >= 0.71
Requires: perl(DBI) >= 1.41
Requires: perl(DBD::mysql) >= 4.00
Requires: perl-Template-Toolkit >= 2.22
Requires: perl(Email::Send) >= 2.00
Requires: perl(Email::MIME) >= 1.861
Requires: perl(Email::MIME::Encodings) >= 1.313
Requires: perl(Email::MIME::Modifier) >= 1.442
Requires: perl(URI)

Requires: e-smith-base
AutoReqProv: no

%description
rpm to setup bugzilla

%changelog
* Sat Mar 6 2010 Jonathan Martens <smeserver-contribs@snetram.nl>
- Fix date in previous changelog entry
- Fix SPEC header to generate proper version and release data

* Fri Mar 5 2010 Jonathan Martens <smeserver-contribs@snetram.nl>
- Create strong password

* Mon Dec 7 2009 Jonathan Martens <smeserver-contribs@snetram.nl>
- Apply a more restricted set of privileges to the bugzilla database user

* Mon Dec 7 2009 Jonathan Martens <smeserver-contribs@snetram.nl>
- Update minimal requirements to match at least bugzilla 3.4.2
- Reserve the /bugzilla URL namespace in the configuration database
- Simplify webserver configuration fragment and rely on .htaccess files 
  generated by checksetup.pl
- Generate localconfig and populate it with the database settings
- Create default input configuration file (/etc/bugzilla.conf) for 
  checksetup.pl so it can be executed unattended
- Add a custom template so the initial welcome page will remind the admin to 
  change the password for the admin account
- Enable InnoDB as this is required for Bugzilla

* Tue Aug 14 2007 Greg Swallow <greg@runlevle7.ca> - 0.1-1
- initial release

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
     > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
